Bug 225273 - [Perf] Creation of many video elements slows over time
Summary: [Perf] Creation of many video elements slows over time
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-05-01 12:17 PDT by Jer Noble
Modified: 2021-05-03 15:52 PDT (History)
14 users (show)

See Also:


Attachments
Patch (6.53 KB, patch)
2021-05-01 12:27 PDT, Jer Noble
eric.carlson: review+
Details | Formatted Diff | Diff
Patch for landing (6.76 KB, patch)
2021-05-01 23:23 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2021-05-01 12:17:34 PDT
[Perf] Creation of many video elements slows over time
Comment 1 Radar WebKit Bug Importer 2021-05-01 12:27:32 PDT
<rdar://problem/77421036>
Comment 2 Jer Noble 2021-05-01 12:27:45 PDT
Created attachment 427510 [details]
Patch
Comment 3 Jer Noble 2021-05-01 23:23:45 PDT
Created attachment 427520 [details]
Patch for landing
Comment 4 EWS 2021-05-02 09:04:35 PDT
Committed r276883 (237229@main): <https://commits.webkit.org/237229@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427520 [details].
Comment 5 Truitt Savell 2021-05-03 15:50:33 PDT
The changes in https://trac.webkit.org/changeset/276883/webkit has caused 

imported/w3c/web-platform-tests/webaudio/the-audio-api/the-audiocontext-interface/suspend-after-construct.html 

to crash constantly on debug. tracking in https://bugs.webkit.org/show_bug.cgi?id=225332